summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--x11-misc/menulibre/ChangeLog33
-rw-r--r--x11-misc/menulibre/Manifest2
-rw-r--r--x11-misc/menulibre/files/menulibre-13.01.4-GError-import.patch17
-rw-r--r--x11-misc/menulibre/menulibre-13.01.4-r1.ebuild69
-rw-r--r--x11-misc/menulibre/menulibre-13.01.4.ebuild66
-rw-r--r--x11-misc/menulibre/menulibre-13.04.17.ebuild69
6 files changed, 256 insertions, 0 deletions
diff --git a/x11-misc/menulibre/ChangeLog b/x11-misc/menulibre/ChangeLog
new file mode 100644
index 00000000..bbfb3a02
--- /dev/null
+++ b/x11-misc/menulibre/ChangeLog
@@ -0,0 +1,33 @@
+# ChangeLog for x11-misc/menulibre
+# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/menulibre/ChangeLog,v 1.7 2014/04/26 08:30:46 pacho Exp $
+
+ 26 Apr 2014; Pacho Ramos <pacho@gentoo.org> menulibre-13.01.4-r1.ebuild,
+ menulibre-13.01.4.ebuild, menulibre-13.04.17.ebuild:
+ Adapt to latest pygobject don't providing python2.6 support
+
+*menulibre-13.04.17 (21 Oct 2013)
+
+ 21 Oct 2013; Julian Ospald <hasufell@gentoo.org> +menulibre-13.04.17.ebuild:
+ version bump
+
+*menulibre-13.01.4-r1 (21 Oct 2013)
+
+ 21 Oct 2013; Julian Ospald <hasufell@gentoo.org>
+ +menulibre-13.01.4-r1.ebuild, +files/menulibre-13.01.4-GError-import.patch:
+ fix import bug wrt #488866
+
+ 25 Jun 2013; Agostino Sarubbo <ago@gentoo.org> menulibre-13.01.4.ebuild:
+ Stable for amd64, wrt bug #474396
+
+ 25 Jun 2013; Agostino Sarubbo <ago@gentoo.org> menulibre-13.01.4.ebuild:
+ Stable for x86, wrt bug #474396
+
+ 27 Feb 2013; Jeroen Roovers <jer@gentoo.org> menulibre-13.01.4.ebuild:
+ No need for eerror.
+
+*menulibre-13.01.4 (26 Feb 2013)
+
+ 26 Feb 2013; Julian Ospald <hasufell@gentoo.org> +menulibre-13.01.4.ebuild,
+ +metadata.xml:
+ initial import wrt #450300
diff --git a/x11-misc/menulibre/Manifest b/x11-misc/menulibre/Manifest
new file mode 100644
index 00000000..40af0a78
--- /dev/null
+++ b/x11-misc/menulibre/Manifest
@@ -0,0 +1,2 @@
+DIST menulibre_13.01.4.tar.gz 322686 SHA256 2329b426af55936dc40c7d1bcae99f98b674d06e3757657bd47dcb93d1ac45f3 SHA512 c3311443d00901d0c80078e4f51f81cc2bafbb8048a8eb1f0594e4430e9d8d1c563f4ec6b423952d3e8523f921220bb9d6fa0e4a62453d07011ae781070750d4 WHIRLPOOL b419f3285a97918796c08d0cb7681ada8f6bd19297bdfaea603c2e6256c06d775369d683f150f9c708d26ff2220fceb97d37541143bbcd9d08387e5ebd2967d5
+DIST menulibre_13.04.17.tar.gz 337166 SHA256 84cd21d92bb16cc221d7fa7ebf801a7493cce8743dd15b65d72af23d4b421a99 SHA512 7e0a2c3d765612a1c9ae9f82206fc180d7edc06dbe294bd200d699ecdb243a28ba58030b94084bc0525540f514642914b4224d766d4c9817ee7ee9ac9074b627 WHIRLPOOL d8d87c4180623a956f3c799b506c8718f1b42dcc7554df20d7e21b612f3134451250f5e5b07db0f672df40b1478b8e4189be94ea1850a8008800fe5c07ad051c
diff --git a/x11-misc/menulibre/files/menulibre-13.01.4-GError-import.patch b/x11-misc/menulibre/files/menulibre-13.01.4-GError-import.patch
new file mode 100644
index 00000000..6a747ba0
--- /dev/null
+++ b/x11-misc/menulibre/files/menulibre-13.01.4-GError-import.patch
@@ -0,0 +1,17 @@
+From: Julian Ospald <hasufell@gentoo.org>
+Date: Mon Oct 21 17:32:25 UTC 2013
+Subject: fix import
+
+https://bugs.gentoo.org/show_bug.cgi?id=488866
+
+--- a/menulibre_lib/IconTheme.py
++++ b/menulibre_lib/IconTheme.py
+@@ -15,7 +15,7 @@
+ ### END LICENSE
+
+ from gi.repository import Gtk, GdkPixbuf
+-from gi._glib import GError
++from gi._glib._glib import GError
+ import os
+
+ from menulibreconfig import get_data_file
diff --git a/x11-misc/menulibre/menulibre-13.01.4-r1.ebuild b/x11-misc/menulibre/menulibre-13.01.4-r1.ebuild
new file mode 100644
index 00000000..cc009bce
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-13.01.4-r1.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/menulibre/menulibre-13.01.4-r1.ebuild,v 1.2 2014/04/26 08:30:46 pacho Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit eutils gnome2-utils distutils-r1
+
+DESCRIPTION="An advanced menu editor that provides modern features in a clean, easy-to-use interface"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+RDEPEND="dev-libs/gobject-introspection
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-themes/hicolor-icon-theme"
+
+PATCHES=( "${FILESDIR}"/${P}-GError-import.patch )
+
+S=${WORKDIR}/${PN}
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die 'sed on menulibre.desktop.in failed'
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newicon -s 32 help/C/figures/icon.png menu-editor.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ elog "optional dependencies:"
+ elog " gnome-extra/yelp (view help contents)"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/x11-misc/menulibre/menulibre-13.01.4.ebuild b/x11-misc/menulibre/menulibre-13.01.4.ebuild
new file mode 100644
index 00000000..29d27f73
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-13.01.4.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/menulibre/menulibre-13.01.4.ebuild,v 1.5 2014/04/26 08:30:46 pacho Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit eutils gnome2-utils distutils-r1
+
+DESCRIPTION="An advanced menu editor that provides modern features in a clean, easy-to-use interface"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+RDEPEND="dev-libs/gobject-introspection
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-themes/hicolor-icon-theme"
+
+S=${WORKDIR}/${PN}
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die 'sed on menulibre.desktop.in failed'
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newicon -s 32 help/C/figures/icon.png menu-editor.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ elog "optional dependencies: gnome-extra/yelp (view help contents)"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}
diff --git a/x11-misc/menulibre/menulibre-13.04.17.ebuild b/x11-misc/menulibre/menulibre-13.04.17.ebuild
new file mode 100644
index 00000000..5fad8dd9
--- /dev/null
+++ b/x11-misc/menulibre/menulibre-13.04.17.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/x11-misc/menulibre/menulibre-13.04.17.ebuild,v 1.2 2014/04/26 08:30:46 pacho Exp $
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+DISTUTILS_IN_SOURCE_BUILD=1
+inherit eutils gnome2-utils distutils-r1
+
+DESCRIPTION="An advanced menu editor that provides modern features in a clean, easy-to-use interface"
+HOMEPAGE="http://www.smdavis.us/projects/menulibre/"
+SRC_URI="http://launchpad.net/${PN}/trunk/${PV}/+download/${PN}_${PV}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="dev-python/python-distutils-extra[${PYTHON_USEDEP}]"
+RDEPEND="dev-libs/gobject-introspection
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pyxdg[${PYTHON_USEDEP}]
+ x11-libs/gdk-pixbuf[X,introspection]
+ x11-libs/gtk+:3[X,introspection]
+ x11-libs/gtksourceview:3.0[introspection]
+ x11-themes/hicolor-icon-theme"
+
+S=${WORKDIR}/trunk
+
+python_prepare_all() {
+ # too many categories
+ sed -i \
+ -e 's/X-GNOME-Settings-Panel;X-GNOME-PersonalSettings;DesktopSettings;X-XFCE;//' \
+ menulibre.desktop.in || die 'sed on menulibre.desktop.in failed'
+
+ local i
+ # fix incorrect behavior when LINGUAS is set to an empty string
+ # https://bugs.launchpad.net/python-distutils-extra/+bug/1133594
+ if [[ -n "${LINGUAS+x}" ]] ; then # if LINGUAS is set
+ for i in $(cd "${S}"/po ; for p in *.po ; do echo ${p%.po} ; done) ; do # for every supported language
+ if ! has ${i} ${LINGUAS} ; then # if language is disabled
+ rm po/${i}.po || die
+ fi
+ done
+ fi
+
+ distutils-r1_python_prepare_all
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ newicon -s 32 help/C/figures/icon.png menu-editor.png
+}
+
+pkg_preinst() {
+ gnome2_icon_savelist
+}
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ elog "optional dependencies:"
+ elog " gnome-extra/yelp (view help contents)"
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+}